cURL
curl --request PUT \ --url https://api.formo.so/v0/alerts/{alertId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "trigger_type": "event", "trigger_filters": [ {} ], "recipient": [ {} ], "secret": "<string>" } '
{ "isSuccess": true, "data": { "id": "<string>", "name": "<string>", "trigger_type": "event", "status": "active", "project_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "trigger_filters": [ { "name": "<string>", "value": "<string>", "operator": "<string>", "numericThreshold": "<string>" } ], "recipient": [ { "type": "email", "value": [ "<string>" ] } ], "has_secret": true } }
Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.
formo_xxx
1
event
user
Alert updated
Show child attributes